> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request and Response

All APIs are JSON-based and therefore only accept JSON in the request body. We have pagination for those APIs which are for getting a list of objects.

#### Request Body

Following are some of the common parameters that the request body accepts.

| **Parameter** | **Type** | **Description** |
| - | - | - |
| filter | Object | In getting a list of Objects API `filter` parameter allows us to narrow down the results. Each API can have a different `filter` parameters. |
| page | Number | Used to paginate if the API is of Get a list of Objects. |
| sort | Object | In getting a list of Objects API `sort` parameter allows us to get a sorted result. Each API can have a different `sort` parameters. |
| fromDate | Date | The date format used is **`yyyy-MM-dd HH:mm:ss`** For Ex. 2023-10-19 18:30:00 |

#### Response Body

All the responses will contain these 4 parameters `status`, `sub_status`, `msg`, `data` . Other parameters are on a need basis.

| **Parameter** | **Type** | **Description** |
| - | - | - |
| status | String Enum: `success`, `error` | This is the final status of the API, if the status is not successful then consider that the API did not run successfully. You can check `msg` parameter to understand what went wrong. |
| sub\_status | String | Used for internal purposes only |
| error\_code | String | This parameter is only available when `status` in the response body is `error`. |
| msg | String | To understand the error if the request was not successful. |
| data | Array or Object | Contains the response data of the request. |
| maxPageSize | Number | The maximum number of data objects that are returned in the Get All requests. |
| hasMore | Boolean | If the Get All request has more data objects then the value is `true`. Use `page` parameter in the request to get the next data objects. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.